查看: 466|回复: 0

[PHP代码] php7 安装swoole扩展

发表于 2017-10-4 09:22:29
尚学堂AD

昨天无意中看到一篇关于直播的视频教程

里面讲到了swoole,对于这个东西我相信大家(接近1年phper)都是听过它,但没有真正去用它,当然也是不知道如何使用(me too)。

此处总结一下(借鉴了几个网上的技术贴)php7如何安装swoole扩展。

我的环境

CentOS Linux release 7.3.1611 (Core)
PHP 7.0.22 (cli) (built: Aug 9 2017 18:23:24) ( NTS )
mysql Ver 15.1 Distrib 5.5.52-MariaDB, for Linux (x86_64) using readline 5.1

nginx version: nginx/1.10.2

安装步骤

1.wget -c https://github.com/swoole/swoole-src/archive/v2.0.8.tar.gz //目前最新版2.0.8

2.tar -zxvf v2.0.8.tar.gz//解压缩 然后cd进入压缩后目录

3.这个时候需要使用phpize生成编译文件(在这里附上http://www.cnblogs.com/hubing/p/4941692.html对phpize的解释 已经很明了了){

phpize的作用可以这样理解:侦测环境(phpize工具是在php安装目录下,基于这点phpize对应了当时的php环境,所以是要根据该php的配置情况生成对应的configure文件),建立一个configure文件。必须在一个目录下去运行phpize。那么phpize就知道你的的环境是哪个目录,并且configure文件建立在该目录下。

}

此时的我保错如下:Can't find PHP headers in /usr/include/php The php-devel package is required for use of this command.

解决方法:yum install php70w-devel

4.执行phpize /usr/bin/phpize(记得要在swoole扩展目录下执行)

5.执行 ./configure

6.然后就是 make && make install 一起走完

7.最后要修改下php.ini 添加extension=swoole.so

8.记得重启服务

OK ! 此时执行php -m 可以看到多了个swoole就说明成功了



回复

使用道具 举报